com.explodingpixels.macwidgets

## Interface SourceListColorScheme

- All Known Implementing Classes:
    SourceListBizLafColorScheme, SourceListDarkColorScheme, SourceListSeaGlassColorScheme, SourceListStandardColorScheme

      public interface SourceListColorScheme

  An interface to provide a set of `MacWidgetsPainter`s and colors to use when painting a `SourceList`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getActiveBackgroundColor()` The background color of the `SourceList` when it is in an active window.
    `MacWidgetsPainter<Component>` | `getActiveFocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
    `MacWidgetsPainter<Component>` | `getActiveUnfocusedSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and does not have focus.
    `Color` | `getActiveUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.
    `Color` | `getBadgeTextColor()` The color to draw a badge's text with.
    `Color` | `getCategoryTextColor()` The color to draw a `SourceList` category with.
    `Color` | `getCategoryTextShadowColor()` The color to draw a `SourceList` category's shadow with.
    `Color` | `getInactiveBackgroundColor()` The background color of the `SourceList` when it is in an inactive window.
    `MacWidgetsPainter<Component>` | `getInactiveSelectedItemPainter()` The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in an inactive window.
    `Color` | `getInativeUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.
    `Color` | `getSelectedBadgeColor()` The color to draw a badge's background with when it's corresponding `SourceList` item is selected.
    `Icon` | `getSelectedCollapsedIcon()` The icon to use when a `SourceList` node is collapsed and selected.
    `Icon` | `getSelectedExpandedIcon()` The icon to use when a `SourceList` node is expanded and selected.
    `Color` | `getSelectedItemFontShadowColor()` The color to draw a selected `SourceList` item's shadow with.
    `Color` | `getSelectedItemTextColor()` The color to draw a selected `SourceList` item with.
    `Icon` | `getUnselectedCollapsedIcon()` The icon to use when a `SourceList` node is collapsed and unselected.
    `Icon` | `getUnselectedExpandedIcon()` The icon to use when a `SourceList` node is expanded and unselected.
    `Color` | `getUnselectedItemTextColor()` The color to draw an unselected `SourceList` item with.

- - ### Method Detail

    - #### getActiveFocusedSelectedItemPainter

          MacWidgetsPainter<Component> getActiveFocusedSelectedItemPainter()

      The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and has focus.
      Returns:
        the `Painter` to use for painting the selection in an active window where the `SourceList` has focus.

    - #### getActiveUnfocusedSelectedItemPainter

          MacWidgetsPainter<Component> getActiveUnfocusedSelectedItemPainter()

      The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in the active window and does not have focus.
      Returns:
        the `Painter` to use for painting the selection in an active window where the `SourceList` does not have focus.

    - #### getInactiveSelectedItemPainter

          MacWidgetsPainter<Component> getInactiveSelectedItemPainter()

      The `MacWidgetsPainter` to use for drawing the `SourceList` selection when the `SourceList` is in an inactive window.
      Returns:
        the `Painter` to use for painting the selection in an inactive window.

    - #### getCategoryTextColor

          Color getCategoryTextColor()

      The color to draw a `SourceList` category with.
      Returns:
        the color to draw a `SourceList` category textwith.

    - #### getCategoryTextShadowColor

          Color getCategoryTextShadowColor()

      The color to draw a `SourceList` category's shadow with.
      Returns:
        the color to draw a `SourceList` category text's shadow with.

    - #### getUnselectedItemTextColor

          Color getUnselectedItemTextColor()

      The color to draw an unselected `SourceList` item with.
      Returns:
        the color to draw an unselected `SourceList` item with.

    - #### getSelectedItemTextColor

          Color getSelectedItemTextColor()

      The color to draw a selected `SourceList` item with.
      Returns:
        the color to draw a selected `SourceList` item with.

    - #### getSelectedItemFontShadowColor

          Color getSelectedItemFontShadowColor()

      The color to draw a selected `SourceList` item's shadow with.
      Returns:
        the color to draw a selected `SourceList` item's shadow with.

    - #### getActiveBackgroundColor

          Color getActiveBackgroundColor()

      The background color of the `SourceList` when it is in an active window.
      Returns:
        the background color of the `SourceList` when it is in an active window.

    - #### getInactiveBackgroundColor

          Color getInactiveBackgroundColor()

      The background color of the `SourceList` when it is in an inactive window.
      Returns:
        the background color of the `SourceList` when it is in an inactive window.

    - #### getUnselectedCollapsedIcon

          Icon getUnselectedCollapsedIcon()

      The icon to use when a `SourceList` node is collapsed and unselected.
      Returns:
        the icon to use when a `SourceList` node is collapsed and unselected.

    - #### getUnselectedExpandedIcon

          Icon getUnselectedExpandedIcon()

      The icon to use when a `SourceList` node is expanded and unselected.
      Returns:
        the icon to use when a `SourceList` node is expanded and unselected.

    - #### getSelectedCollapsedIcon

          Icon getSelectedCollapsedIcon()

      The icon to use when a `SourceList` node is collapsed and selected.
      Returns:
        the icon to use when a `SourceList` node is collapsed and selected.

    - #### getSelectedExpandedIcon

          Icon getSelectedExpandedIcon()

      The icon to use when a `SourceList` node is expanded and selected.
      Returns:
        the icon to use when a `SourceList` node is expanded and selected.

    - #### getBadgeTextColor

          Color getBadgeTextColor()

      The color to draw a badge's text with.
      Returns:
        the color to draw a badge's text with.

    - #### getSelectedBadgeColor

          Color getSelectedBadgeColor()

      The color to draw a badge's background with when it's corresponding `SourceList` item is selected. This color is used regardless of the wheter the parent window is active or inactive.
      Returns:
        the color to draw a badge's background with when it's corresponding `SourceList` item is selected

    - #### getActiveUnselectedBadgeColor

          Color getActiveUnselectedBadgeColor()

      The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.
      Returns:
        the color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an active window.

    - #### getInativeUnselectedBadgeColor

          Color getInativeUnselectedBadgeColor()

      The color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.
      Returns:
        the color to draw a badge's background with when it's corresponding `SourceList` item is unselected and the `SourceList` is in an inactive window.